package it.openutils.magnoliastripes.setup;

import info.magnolia.module.DefaultModuleVersionHandler;
import info.magnolia.module.InstallContext;
import info.magnolia.module.delta.Task;

import java.util.List;


/**
 * @author fgiust
 * @version $Id: $
 */
public class StripesModuleVersionHandler extends DefaultModuleVersionHandler
{

    /**
     * {@inheritDoc}
     */
    @SuppressWarnings("unchecked")
    @Override
    protected List<Task> getBasicInstallTasks(InstallContext installContext)
    {
        List<Task> installTasks = super.getBasicInstallTasks(installContext);

        installTasks.add(new AddMimeMappingTask("action", "text/plain", "/.resources/file-icons/htm.png"));

        return installTasks;
    }
}
